Package Details: pacupg r273.830fba9-1

Git Clone URL: https://aur.archlinux.org/pacupg.git (read-only)
Package Base: pacupg
Description: Script that wraps package and AUR upgrades in btrfs snapshots and provides an easy way to roll them back
Upstream URL: https://github.com/crossroads1112/bin/tree/master/pacupg
Licenses: GPL
Submitter: crossroads1112
Maintainer: crossroads1112
Last Packager: crossroads1112
Votes: 18
Popularity: 0.208901
First Submitted: 2014-12-22 03:11
Last Updated: 2016-08-09 20:51

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

hcnelson99 commented on 2017-08-05 06:39

Patch for version bump fixing important bug which prevents /boot backup when updating linux and adds missing rsync dependency:

diff --git a/.SRCINFO b/.SRCINFO
index 445668c..1ab01ee 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,6 @@
-# Generated by mksrcinfo v8
-# Tue Aug 9 20:50:54 UTC 2016
pkgbase = pacupg
pkgdesc = Script that wraps package and AUR upgrades in btrfs snapshots and provides an easy way to roll them back
- pkgver = r273.830fba9
+ pkgver = r276.e786846
pkgrel = 1
url = https://github.com/crossroads1112/bin/tree/master/pacupg
install = pacupg.install
@@ -10,6 +8,7 @@ pkgbase = pacupg
license = GPL
depends = package-query
depends = snapper
+ depends = rsync
optdepends = pacaur: AUR support
optdepends = grub-btrfs-git: Add btrfs snapshots to grub menu
source = git+https://github.com/crossroads1112/bin.git
diff --git a/PKGBUILD b/PKGBUILD
index bab9877..0885778 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,12 +1,12 @@
# Maintainer: Chad "crossroads1112" Sharp <crossroads1112@riseup.net>
pkgname=pacupg
-pkgver=r273.830fba9
+pkgver=r276.e786846
pkgrel=1
pkgdesc="Script that wraps package and AUR upgrades in btrfs snapshots and provides an easy way to roll them back"
arch=('any')
url="https://github.com/crossroads1112/bin/tree/master/pacupg"
license=('GPL')
-depends=('package-query' 'snapper')
+depends=('package-query' 'snapper' 'rsync')
optdepends=('pacaur: AUR support' 'grub-btrfs-git: Add btrfs snapshots to grub menu')
makedepends=()
source=(git+https://github.com/crossroads1112/bin.git)

hcnelson99 commented on 2017-07-28 20:13

This package should depend on rsync.

samwise commented on 2016-07-11 02:33

I get this error:
pacupg package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.

Psykar commented on 2015-11-23 09:18

Need to change the dependency on grub-btrfs to grub-btrfs-git

crossroads1112 commented on 2015-09-27 20:43

xor, I appreciate your comment but the AUR comments are not the place for adjustments to the script itself (just its packaging). The GitHub repo is linked in the `Upstream URL` field. You could open an issue/submit a pull request there.

That being said, your changes have been pushed upstream.

teldra commented on 2015-09-25 23:39

Small adjustment imho (also for the aur part):

# Take snapshot and store snapshot number in $pre
pre=$(snapper create --type=pre --cleanup-algorithm=number --print-number --description="Package upgrade${snapComment}")
to
# Take snapshot and store snapshot number in $pre
pre=$(sudo snapper create --type=pre --cleanup-algorithm=number --print-number --description="Package upgrade${snapComment}")